scoreboard objectives add mode dummy
scoreboard objectives add madness dummy
execute as @e[type=armor_stand,name="mode1",scores={mode=1}] run execute at @e[type=armor_stand,name="playerCheck"] run execute as @r[distance=..80,gamemode=survival] run scoreboard players add @e[type=armor_stand,name="mode1"] madness 1
scoreboard players set @e[type=armor_stand,name="mode1",scores={madness=201..}] madness 1

# Madness
execute as @e[type=armor_stand,scores={lavatimer=100..}] run execute as @e[scores={madness=100}] run summon tnt 80 58 -89 {Fuse:100}
execute as @e[type=armor_stand,scores={lavatimer=100..}] run execute as @e[scores={madness=200}] run summon tnt 80 58 -89 {Fuse:100}

# Moon
execute at @e[type=armor_stand,name="mode2",scores={mode=1}] run execute at @e[type=armor_stand,name="playerCheck"] run effect give @a[distance=..80,gamemode=survival] slowness 1 1 true
execute at @e[type=armor_stand,name="mode2",scores={mode=1}] run execute at @e[type=armor_stand,name="playerCheck"] run effect give @a[distance=..80,gamemode=survival] jump_boost 1 2 true
execute at @e[type=armor_stand,name="mode2",scores={mode=1}] run execute at @e[type=armor_stand,name="playerCheck"] run effect give @a[distance=..80,gamemode=survival] slow_falling 1 10 true

# Magma Rain
scoreboard objectives add magma dummy
scoreboard players set @e[type=armor_stand,name="mode3",scores={magma=10..}] magma 1
execute as @e[type=armor_stand,name="mode3",scores={mode=1}] run execute at @e[type=armor_stand,name="playerCheck"] run execute as @r[distance=..80,gamemode=survival] run scoreboard players add @e[type=armor_stand,name="mode3"] magma 1
execute as @e[scores={magma=8}] run spreadplayers 16.00 -315.00 0 18 false @e[type=minecraft:armor_stand,name="magma"]
execute as @e[type=armor_stand,scores={lavatimer=100..}] run execute as @e[scores={magma=8}] run execute at @e[type=armor_stand,name="magma"] run summon minecraft:falling_block ~ ~-2 ~ {BlockState:{Name:"minecraft:magma_block"},Time:1,DropItem:0b,HurtEntities:1b}

# Signs
execute at @e[type=armor_stand,name="mode1",scores={mode=0}] run setblock -2 61 22 minecraft:oak_wall_sign[facing=east]{Text1:'{"text":" ","clickEvent":{"action":"run_command","value":"/tellraw @s {\\"text\\":\\"Madness amplifier toggled!\\",\\"color\\":\\"green\\"}"}}',Text2:'{"text":"Madness","color":"red","bold":true,"clickEvent":{"action":"run_command","value":"/playsound minecraft:block.note_block.bit ambient @a"}}',Text3:'{"text":"Click to enable","color":"gray","clickEvent":{"action":"run_command","value":"/scoreboard players add @e[type=armor_stand,name=\\"mode1\\"] mode 1"}}',Text4:'{"text":" ","color":"black","clickEvent":{"action":"run_command","value":"/setblock -2 61 22 air"}}'} replace
execute at @e[type=armor_stand,name="mode1",scores={mode=1}] run setblock -2 61 22 minecraft:oak_wall_sign[facing=east]{Text1:'{"text":" ","clickEvent":{"action":"run_command","value":"/tellraw @s {\\"text\\":\\"Madness amplifier toggled!\\",\\"color\\":\\"green\\"}"}}',Text2:'{"text":"Madness","color":"red","bold":true,"clickEvent":{"action":"run_command","value":"/playsound minecraft:block.note_block.bit ambient @a"}}',Text3:'{"text":"Click to disable","color":"gray","clickEvent":{"action":"run_command","value":"/scoreboard players add @e[type=armor_stand,name=\\"mode1\\"] mode 1"}}',Text4:'{"text":" ","color":"black","clickEvent":{"action":"run_command","value":"/setblock -2 61 22 air"}}'} replace

execute at @e[type=armor_stand,name="mode2",scores={mode=0}] run setblock -2 61 20 minecraft:oak_wall_sign[facing=east]{Text1:'{"text":" ","clickEvent":{"action":"run_command","value":"/tellraw @s {\\"text\\":\\"Moon amplifier toggled!\\",\\"color\\":\\"green\\"}"}}',Text2:'{"text":"Moon","color":"dark_gray","bold":true,"clickEvent":{"action":"run_command","value":"/playsound minecraft:block.note_block.bit ambient @a"}}',Text3:'{"text":"Click to enable","color":"gray","clickEvent":{"action":"run_command","value":"/scoreboard players add @e[type=armor_stand,name=\\"mode2\\"] mode 1"}}',Text4:'{"text":" ","color":"black","clickEvent":{"action":"run_command","value":"/setblock -2 61 20 air"}}'} replace
execute at @e[type=armor_stand,name="mode2",scores={mode=1}] run setblock -2 61 20 minecraft:oak_wall_sign[facing=east]{Text1:'{"text":" ","clickEvent":{"action":"run_command","value":"/tellraw @s {\\"text\\":\\"Moon amplifier toggled!\\",\\"color\\":\\"green\\"}"}}',Text2:'{"text":"Moon","color":"dark_gray","bold":true,"clickEvent":{"action":"run_command","value":"/playsound minecraft:block.note_block.bit ambient @a"}}',Text3:'{"text":"Click to disable","color":"gray","clickEvent":{"action":"run_command","value":"/scoreboard players add @e[type=armor_stand,name=\\"mode2\\"] mode 1"}}',Text4:'{"text":" ","color":"black","clickEvent":{"action":"run_command","value":"/setblock -2 61 20 air"}}'} replace

execute at @e[type=armor_stand,name="mode3",scores={mode=0}] run setblock -2 61 18 minecraft:oak_wall_sign[facing=east]{Text1:'{"text":" ","clickEvent":{"action":"run_command","value":"/tellraw @s {\\"text\\":\\"Magma Rain amplifier toggled!\\",\\"color\\":\\"green\\"}"}}',Text2:'{"text":"Magma Rain","color":"gold","bold":true,"clickEvent":{"action":"run_command","value":"/playsound minecraft:block.note_block.bit ambient @a"}}',Text3:'{"text":"Click to enable","color":"gray","clickEvent":{"action":"run_command","value":"/scoreboard players add @e[type=armor_stand,name=\\"mode3\\"] mode 1"}}',Text4:'{"text":" ","color":"black","clickEvent":{"action":"run_command","value":"/setblock -2 61 18 air"}}'} replace
execute at @e[type=armor_stand,name="mode3",scores={mode=1}] run setblock -2 61 18 minecraft:oak_wall_sign[facing=east]{Text1:'{"text":" ","clickEvent":{"action":"run_command","value":"/tellraw @s {\\"text\\":\\"Magma Rain amplifier toggled!\\",\\"color\\":\\"green\\"}"}}',Text2:'{"text":"Magma Rain","color":"gold","bold":true,"clickEvent":{"action":"run_command","value":"/playsound minecraft:block.note_block.bit ambient @a"}}',Text3:'{"text":"Click to disable","color":"gray","clickEvent":{"action":"run_command","value":"/scoreboard players add @e[type=armor_stand,name=\\"mode3\\"] mode 1"}}',Text4:'{"text":" ","color":"black","clickEvent":{"action":"run_command","value":"/setblock -2 61 18 air"}}'} replace

scoreboard players set @e[scores={mode=2}] mode 0