# Commands
execute at @e[type=armor_stand,name="countdown"] run title @a[distance=..80] title {"text":"Start!","color":"red","bold":true}
execute at @e[type=armor_stand,name="countdown"] run title @a[distance=..80] subtitle {"text":"Good luck","color":"gray"}
execute at @e[type=armor_stand,name="countdown"] run title @a[distance=..80] times 0 60 0

scoreboard players set @e[type=armor_stand,name="playerCheck"] lavatimer 0
execute as @e[type=armor_stand,name="lavaRise"] at @s run tp @s ~ 31 ~
function world:removeblocks
gamemode spectator @a[team=]
gamemode spectator @a[team=spectator]
gamemode survival @a[team=lobby]

effect give @a[team=ingame] minecraft:blindness 1 1 true
effect give @a[team=ingame] minecraft:slow_falling 14 255 true
effect give @a[team=ingame] minecraft:fire_resistance 15 1 true
team join ingame @a[team=lobby]

# Power structure blocks
function world:removeblocks

fill 0 30 -330 35 109 -297 air

execute as @e[type=armor_stand,name="mapChange",scores={selMap=1}] run setblock 0 31 -330 minecraft:structure_block[mode=load]{name:"desert",posY:1,sizeX:32,sizeY:32,sizeZ:32,rotation:"NONE",mirror:"NONE",mode:"LOAD"} destroy

execute as @e[type=armor_stand,name="mapChange",scores={selMap=2}] run setblock 0 31 -330 minecraft:structure_block[mode=load]{name:"volcano",posY:1,sizeX:32,sizeY:32,sizeZ:32,rotation:"NONE",mirror:"NONE",mode:"LOAD"} destroy

execute as @e[type=armor_stand,name="mapChange",scores={selMap=3}] run setblock 0 31 -330 minecraft:structure_block[mode=load]{name:"taiga",posY:1,sizeX:32,sizeY:32,sizeZ:32,rotation:"NONE",mirror:"NONE",mode:"LOAD"} destroy

execute as @e[type=armor_stand,name="mapChange",scores={selMap=4}] run setblock 0 31 -330 minecraft:structure_block[mode=load]{name:"nether",posY:1,sizeX:32,sizeY:32,sizeZ:32,rotation:"NONE",mirror:"NONE",mode:"LOAD"} destroy

execute as @e[type=armor_stand,name="mapChange",scores={selMap=5}] run setblock 0 31 -330 minecraft:structure_block[mode=load]{name:"skyhigh",posY:1,sizeX:32,sizeY:32,sizeZ:32,rotation:"NONE",mirror:"NONE",mode:"LOAD"} destroy

execute as @e[type=armor_stand,name="mapChange",scores={selMap=6}] run setblock 0 31 -330 minecraft:structure_block[mode=load]{name:"candyland",posY:1,sizeX:32,sizeY:32,sizeZ:32,rotation:"NONE",mirror:"NONE",mode:"LOAD"} destroy

execute as @e[type=armor_stand,name="mapChange",scores={selMap=7}] run setblock 0 31 -330 minecraft:structure_block[mode=load]{name:"cavern",posY:1,sizeX:32,sizeY:32,sizeZ:32,rotation:"NONE",mirror:"NONE",mode:"LOAD"} destroy

execute as @e[type=armor_stand,name="mapChange",scores={selMap=8}] run setblock 0 31 -330 minecraft:structure_block[mode=load]{name:"cityruins",posY:1,sizeX:32,sizeY:32,sizeZ:32,rotation:"NONE",mirror:"NONE",mode:"LOAD"} destroy

execute as @e[type=armor_stand,name="mapChange",scores={selMap=9}] run setblock 0 31 -330 minecraft:structure_block[mode=load]{name:"castle",posY:1,sizeX:32,sizeY:32,sizeZ:32,rotation:"NONE",mirror:"NONE",mode:"LOAD"} destroy

execute as @e[type=armor_stand,name="mapChange",scores={selMap=10}] run setblock 0 31 -330 minecraft:structure_block[mode=load]{name:"graveyard",posY:1,sizeX:32,sizeY:32,sizeZ:32,rotation:"NONE",mirror:"NONE",mode:"LOAD"} destroy

execute as @e[type=armor_stand,name="mapChange",scores={selMap=11}] run setblock 0 31 -330 minecraft:structure_block[mode=load]{name:"skyscrapers",posY:1,sizeX:32,sizeY:32,sizeZ:32,rotation:"NONE",mirror:"NONE",mode:"LOAD"} destroy

execute as @e[type=armor_stand,name="mapChange",scores={selMap=12}] run setblock 0 31 -330 minecraft:structure_block[mode=load]{name:"starlightbeacon",posY:1,sizeX:32,sizeY:32,sizeZ:32,rotation:"NONE",mirror:"NONE",mode:"LOAD"} destroy

setblock 0 30 -330 minecraft:redstone_block

execute as @e[type=armor_stand,name="mapChange",scores={selMap=7}] run setblock 0 62 -330 minecraft:redstone_block

fill 0 30 -330 0 31 -330 air

kill @e[type=falling_block]
kill @e[type=item]
kill @e[type=tnt]

give @a[gamemode=survival] minecraft:iron_axe{display:{Name:'{"text":"Starter Axe","color":"dark_aqua","bold":true,"italic":false}'},Unbreakable:1b,Enchantments:[{id:"minecraft:efficiency",lvl:1s}]} 1
give @a[gamemode=survival] minecraft:iron_pickaxe{display:{Name:'{"text":"Starter Pickaxe","color":"dark_aqua","bold":true,"italic":false}'},Unbreakable:1b,Enchantments:[{id:"minecraft:efficiency",lvl:1s}]} 1
give @a[gamemode=survival] minecraft:bow{display:{Name:'{"text":"Starter Bow","color":"dark_aqua","bold":true,"italic":false}'},HideFlags:63,Unbreakable:1b,Enchantments:[{id:"minecraft:unbreaking",lvl:1s}]} 1
give @a[gamemode=survival] cooked_beef 64
execute as @e[type=armor_stand,name="mode1",scores={mode=1}] run effect give @a minecraft:resistance 10 250 true

team modify ingame friendlyFire false

team join ingame @a[team=lobby]

tp @a 10 69 -317
worldborder set 38
fill 34 68 -296 -3 68 -333 minecraft:barrier replace air

kill @e[type=falling_block]
kill @e[type=item]
kill @e[type=tnt]